## org.codehaus.groovy.grails.support
Class NullPersistentContextInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.support.NullPersistentContextInterceptor

All Implemented Interfaces:
  PersistenceContextInterceptor

    public class NullPersistentContextInterceptor

extends Object
implements PersistenceContextInterceptor

A dummy persistence context interceptor that does nothing.

Since:
  1.1.1

  Created: May 8, 2009
Author:
  Graeme Rocher

Constructor Summary
`NullPersistentContextInterceptor()`

Method Summary
`void` `clear()` Clear any pending changes
`void` `destroy()` Called to finalize the persistent context
`void` `disconnect()` Disconnects the persistence context
`void` `flush()` Flushes any pending changes to the DB
`void` `init()` Called to intialisation the persistent context
`boolean` `isOpen()` Checks whether the persistence context is open
`void` `reconnect()` Reconnects the persistence context
`void` `setReadOnly()` Sets the persistence context to read-only mode
`void` `setReadWrite()` Sets the persistence context to read-write mode

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullPersistentContextInterceptor

    public NullPersistentContextInterceptor()

Method Detail

### init

    public void init()

  Description copied from interface: `PersistenceContextInterceptor`
  Called to intialisation the persistent context

  Specified by:
    `init` in interface `PersistenceContextInterceptor`

### destroy

    public void destroy()

  Description copied from interface: `PersistenceContextInterceptor`
  Called to finalize the persistent context

  Specified by:
    `destroy` in interface `PersistenceContextInterceptor`

### disconnect

    public void disconnect()

  Description copied from interface: `PersistenceContextInterceptor`
  Disconnects the persistence context

  Specified by:
    `disconnect` in interface `PersistenceContextInterceptor`

### reconnect

    public void reconnect()

  Description copied from interface: `PersistenceContextInterceptor`
  Reconnects the persistence context

  Specified by:
    `reconnect` in interface `PersistenceContextInterceptor`

### flush

    public void flush()

  Description copied from interface: `PersistenceContextInterceptor`
  Flushes any pending changes to the DB

  Specified by:
    `flush` in interface `PersistenceContextInterceptor`

### clear

    public void clear()

  Description copied from interface: `PersistenceContextInterceptor`
  Clear any pending changes

  Specified by:
    `clear` in interface `PersistenceContextInterceptor`

### setReadOnly

    public void setReadOnly()

  Description copied from interface: `PersistenceContextInterceptor`
  Sets the persistence context to read-only mode

  Specified by:
    `setReadOnly` in interface `PersistenceContextInterceptor`

### setReadWrite

    public void setReadWrite()

  Description copied from interface: `PersistenceContextInterceptor`
  Sets the persistence context to read-write mode

  Specified by:
    `setReadWrite` in interface `PersistenceContextInterceptor`

### isOpen

    public boolean isOpen()

  Description copied from interface: `PersistenceContextInterceptor`
  Checks whether the persistence context is open

  Specified by:
    `isOpen` in interface `PersistenceContextInterceptor`
  Returns:
    Returns whether the persistence context is open

Copyright (c) 2005-2009 The Grails project